/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * AboutUI.java
 * This class displays the About window
 *
 * Created on 02-Feb-2010, 02:26:13
 */

package armadilloUI;

/**
 * This class displays the About window
 * @author Kate
 */

public class AboutUI extends javax.swing.JFrame {

    /** Creates new form AboutUI */
    public AboutUI() {
        ArmadilloLog.LogOperation("Opening AboutUI");
        //set up ui components/layout
        initComponents();

        //make appear in center
        this.setLocationRelativeTo(null);

    }

    private void initComponents() {
        //used to get image
        UIUtilities util = new UIUtilities();

        //used to display image
        jLabelAbout = new javax.swing.JLabel();

        //jframe settings
        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("About ARMADILLO");
        setAlwaysOnTop(true);
        setBackground(new java.awt.Color(254, 254, 254));
        setResizable(false);
        setIconImage(util.getWindowIcon());

        //set up of image
        jLabelAbout.setIcon(new javax.swing.ImageIcon(getClass().getResource("graphics/About_screen.jpg")));
        jLabelAbout.setName("jLabelAbout");

        //layout
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabelAbout)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabelAbout)
        );

        pack();
    }

    // Variables declaration - do not modify
    private javax.swing.JLabel jLabelAbout;
    // End of variables declaration
}
