/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package armadilloUI;

/**
 *
 * @author jonathan
 */
import java.util.logging.Level;
import java.util.logging.Logger;
import java.io.FileWriter;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.text.DateFormat;

/**
 * THis class acts as a demultiplexer from all the other objects, allows all threads to
 * use the log file to store information, without lockig anything
 * @author jonathan
 */
public class ArmadilloLog {

    private static FileWriter errorLog;
    private static DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");


    /**
     * Logs a message into the log file, with the format of an error
     * @param errorText
     */
    public static synchronized void LogError(String errorText) {
        try {
            errorLog = new FileWriter("armadillo.log", true);
            Date date = new Date();
            errorLog.write(dateFormat.format(date) + " - Error - " + errorText + '\n');
            errorLog.close();
        } catch (Exception e) {
            System.err.println("Error writing to log file");
        }
    }

    /**
     * logs a message into the log file as an operation
     * @param opText
     */
    public static synchronized void LogOperation(String opText) {
        try {
            errorLog = new FileWriter("armadillo.log", true);
            Date date = new Date();
            errorLog.write(dateFormat.format(date) + " - Operation - " + opText + '\n');
            errorLog.close();
        } catch (Exception e) {
            System.err.println("Error writing to log file");
        }
    }

    /**
     * Starts a new log file, overwriting the old one.
     */
    public static void NewLog() {
        try {
            errorLog = new FileWriter("armadillo.log", false);
            Date date = new Date();
            errorLog.write(dateFormat.format(date) + " -STARTING NEW LOG " + '\n');
            errorLog.close();
        } catch (Exception e) {
            System.err.println("Error writing to log file");
        }
    }

}
