/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * DeleteUI.java
 *
 * Created on 22-Feb-2010, 10:10:56
 */

package armadilloUI;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *  Deleting tracks from library and from playlist UI and functionality
 * @author Kate
 */
public class DeleteUI extends javax.swing.JFrame {

    private String type;
    private int idToDelete;
    private NavTree navTree;
    private PlaylistTable playlistTable;
    private PlayingList playingList;
    private ArmadilloUI UI;
    private int[] trackIDs;
    private boolean isAnalysing;

    /** Creates new form DeleteUI
     * @param what
     * @param list
     * @param ui
     * @param tree
     * @param id
     * @param table
     */
    public DeleteUI(String what, int id,ArmadilloUI ui, NavTree tree, PlaylistTable table, PlayingList list) {
        ArmadilloLog.LogOperation("Constructing DeleteUI");
        type = what;
        idToDelete = id;
        navTree = tree;
        playlistTable = table;
        playingList = list;
        UI = ui;
        pauseOtherThreads();
        initComponents();
        this.setLocationRelativeTo(null);
    }

    
    /**
     * used to delete songs from library
     * @param trackIDs
     * @param ui
     */
    public DeleteUI(int[] trackIDs, ArmadilloUI ui) {
        ArmadilloLog.LogOperation("Constructing DeleteUI");
        this.UI = ui;
        this.trackIDs=trackIDs;
        this.type="track";
        pauseOtherThreads();
        initComponents();
        this.setLocationRelativeTo(null);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        javax.swing.JLabel jLabelDialog = new javax.swing.JLabel();
        javax.swing.JButton jButtonYes = new javax.swing.JButton();
        javax.swing.JButton jButtonNo = new javax.swing.JButton();
        javax.swing.JLabel jLabel2 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Confirmation");

        if (type.equals("playlist"))
        jLabelDialog.setText("Are you sure you want to delete this playlist?");
        else if (trackIDs.length == 1)
        jLabelDialog.setText("Are you sure you want to delete this song?");
        else if (trackIDs.length > 1)
        jLabelDialog.setText("Are you sure you want to delete these songs?");
        else if (type.equals("artist"))
        jLabelDialog.setText("Are you sure you want to delete this artist?");
        else if (type.equals("album"))
        jLabelDialog.setText("Are you sure you want to delete this album?");
        else if (type.equals("genre"))
        jLabelDialog.setText("Are you sure you want to delete this genre?");
        else
        jLabelDialog.setText("Are you sure?");
        jLabelDialog.setName("jLabelDialog"); // NOI18N

        jButtonYes.setText("Yes");
        jButtonYes.setName("jButtonYes"); // NOI18N
        jButtonYes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonYesActionPerformed(evt);
            }
        });

        jButtonNo.setText("No");
        jButtonNo.setName("jButtonNo"); // NOI18N
        jButtonNo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNoActionPerformed(evt);
            }
        });

        jLabel2.setName("jLabel2"); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabelDialog))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(140, 140, 140)
                        .addComponent(jButtonYes, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(37, 37, 37)
                        .addComponent(jButtonNo)))
                .addContainerGap(52, Short.MAX_VALUE))
        );

        layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jButtonNo, jButtonYes});

        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 63, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabelDialog, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonYes)
                    .addComponent(jButtonNo))
                .addGap(24, 24, 24))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonYesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonYesActionPerformed
        try {
            ArmadilloDB db = new ArmadilloDB("org.sqlite.JDBC", "jdbc:sqlite:armadillo.db");
            
            if (type.equals("playlist") && idToDelete > 2) {
                db.removePlaylist(idToDelete);
            }
            else if (type.equals("track")) {
                for (int i = 0; i<trackIDs.length; i++) {
                    db.removeTrack(trackIDs[i]);
                }
            }
            else if (type.equals("artist")) {
                // TODO
            }
            else if (type.equals("album")) {
                // TODO
            }
            else if (type.equals("genre")) {
                // TODO
            }
            else {
                new DialogUI(2).setVisible(true);
                setVisible(false);
                return;
            }
            db.closeConnection();
            UI.reloadNavTree();
            UI.reloadPlayingList();
            UI.reloadTable();
            UI.refreshMenuBar();
            if (isAnalysing)
                UI.resumeAnalysing();
            isAnalysing = false;
            setVisible(false);
        }
        catch (Exception ex) {
            ArmadilloLog.LogError("Error Deleting track - " +ex.toString());
            Logger.getLogger(DeleteUI.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButtonYesActionPerformed

    private void jButtonNoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNoActionPerformed
        setVisible(false);
    }//GEN-LAST:event_jButtonNoActionPerformed

    private void pauseOtherThreads()
    {
        // first pause the analysing thread (if its active)
        this.isAnalysing = false;
        if (UI.getbpmThread() != null)
        {
            if (UI.getbpmThread().isAlive())
                this.isAnalysing = UI.getbpmThread().pauseAnalysing(false);
        }
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables

}
