/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
 * HelpUI.java
 * This class displays the Help contents
 *
 * Created on 02-Feb-2010, 15:52:49
 */

package armadilloUI;

/**
 * UI for help window
 * @author Kate
 */
public class HelpUI extends javax.swing.JFrame {

    UIUtilities util = new UIUtilities();
    private String helpColor;

    /** Creates new form HelpUI */
    public HelpUI() {
        ArmadilloLog.LogOperation("Constructing Help UI");
        initComponents();
        this.setLocationRelativeTo(null);
        try{
            helpColor =  util.config("customPanelBackgroundColour");
            if (util.config("skin").equals("Custom")){
                java.awt.Color helpCol = new java.awt.Color(Integer.parseInt(helpColor));
                jTextArea1.setBackground(helpCol);
            }
            else{
                java.awt.Color panelColl = new java.awt.Color(32,32,32);
                jTextArea1.setBackground(panelColl);
            }
        }
        catch(Exception e){
        ArmadilloLog.LogError("Help UI cannot access config file - "+e.toString());
         e.printStackTrace();
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Help");
        setIconImage(util.getWindowIcon());

        jScrollPane1.setName("jScrollPane1"); // NOI18N

        jTextArea1.setEditable(false);
        jTextArea1.setLineWrap(true);
        jTextArea1.setText("Armadillo Help --\n\nMore help can be found online at http://www.cs.bris.ac.uk/home/kz8700/\n\nContents\n1 Basic Usage\n\t1.1 Importing Tracks\n\t1.2 Using the Navigation Tree\n\t1.3 Using the Playlist Table\n\t1.4 Using the Now Playing List\n\t1.5 Playing Tracks\n2 Advanced Usage\n\t2.1 Group Importing\n\t2.2 Creating Playlists\n\t2.3 Creating Moods and Beat Playlists\n\t2.4 Editing Playlists\n\t2.5 Editing Track Details\n\t2.6 Skins and Custom Skins\n3 Miscellaneous\n4 Trouble Shooting\n5 FAQ's"); // NOI18N
        jTextArea1.setName("jTextAreaHelp"); // NOI18N
        jScrollPane1.setViewportView(jTextArea1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 596, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 334, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new HelpUI().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTextArea1;
    // End of variables declaration//GEN-END:variables

}
