/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/

package armadilloUI;

import java.util.LinkedList;
class Model
{
    private String name;
    private int av_model[]    = new int[50];
    private double hz_dec[]   = new double[50];
    private double temp_dec[] = new double[50];
    private int temp_hz[]     = new int[50];
    private double max  = 0;
    private int songs   = 0;
    private LinkedList artist = new LinkedList();
    private LinkedList genre = new LinkedList();
    private LinkedList album = new LinkedList();
    private int totalbeat = 0;

    public Model(String input)
    {
        name = input;
        for (int i = 0; i <= 49 ; i++)
        {
            temp_hz[i] = 0;
            temp_dec[i] = 0;
        }
    }
  
    public void addsong (double[] Dtemp, int[] Htemp, Object art, Object gen, Object alb, int beat)
    {
        songs++;
        for (int i = 0; i <= 49; i++)
        {
            temp_hz[i]  += Htemp[i];       
            av_model[i] = (temp_hz[i] / songs);
            temp_dec[i] += Dtemp[i];
            hz_dec[i] = (temp_dec[i] / (double)songs);           
        }
        artist.add(art);
        genre.add(gen);
        album.add(alb);
        totalbeat += beat;
    }

    public int getBPM()
    {
        if (songs == 0) return totalbeat;
        return totalbeat / songs;
    }

    public int get(int location)
    {
        return av_model[location];
    }

    public double get_d(int location)
    {
        return hz_dec[location];
    }

    public LinkedList getArt()
    {
        return artist;
    }

    public LinkedList getAlm()
    {
        return album;
    }

    public LinkedList getGen()
    {
        return genre;
    }
}
