/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package armadilloUI;

import java.io.File;
import java.util.concurrent.TimeUnit;
import org.gstreamer.*;
import org.gstreamer.elements.PlayBin;
import org.gstreamer.Message;
import org.gstreamer.TagList;
import org.gstreamer.elements.AppSink;

/**
 *
 * @author jonathan
 */
class MusicPlayer {

    public PlayBin playbin;
    private PlayerState state=PlayerState.STOPPED;

    private enum PlayerState
    {
        STOPPED, PAUSED, PLAYING;
    }

    private boolean busCallback (Bus bus, Message message) {

        if (message.getType() == MessageType.TAG)
        {
            TagList tag_list;
        }

        return true;
    }

        private void foreach_tag (TagList list, String tag) {
        if (tag.equals("title")) // just an example
        {
            String tag_string = list.getString(tag);
        }
    }


    public MusicPlayer()
    {
        playbin = new PlayBin("AudioPlayer");
        playbin.setVideoSink(ElementFactory.make("fakesink", "videosink"));

        //AppSink asTest = (AppSink)ElementFactory.make("directsoundsink", "DirectSound Output");
        //Caps caps = new Caps("audio/x-raw-float, width=32");
       // asTest.setCaps(caps);
        //playbin.setAudioSink(asTest);
        playbin.setState(State.READY);
        playbin.getState();
        //playbin.setState(org.gstreamer.State.READY);
        //bus.add_watch(busCallback);

        //state = PlayerState.STOPPED;
    }

    public long GetTimeElapsed()
    {
        return playbin.queryPosition(Format.TIME) / 1000000;
    }

    public long GetDuration()
    {
        return playbin.queryDuration(Format.TIME) / 1000000;
    }

    public void Seek(long time)
    {
        playbin.seek(time, TimeUnit.MILLISECONDS);
    }

    public void Play(File file)
    {
        playbin.setState(State.READY);
        playbin.setInputFile(file);
        
        state = PlayerState.PLAYING;

        //playbin.setState(State.PLAYING);
        playbin.play();
    }

    public void Pause()
    {
        if (state == PlayerState.PAUSED)
        {
            playbin.play();
            state = PlayerState.PLAYING;
        }
        else if (state == PlayerState.PLAYING)
        {
            //playbin.setState(State.PAUSED);
            playbin.pause();
            state = PlayerState.PAUSED;
        }
    }

    public void SetVolume(int passedvol) {
        playbin.setVolumePercent(passedvol);
    }

    public void Stop()
    {
        //playbin.setState(State.PAUSED);
        playbin.stop();
        state = PlayerState.STOPPED;
    }

    @Override
    protected void finalize() throws Throwable
    {
        playbin.setState(State.NULL);
        state = PlayerState.STOPPED;
        super.finalize();
    }

}

