/*   This file is part of Armadillo Music Player.
*
*   Armadillo is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Armadillo is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Armadillo.  If not, see <http://www.gnu.org/licenses/>.
*/

package armadilloUI;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Enumeration;
import java.util.Properties;
import javax.swing.*;
/**
 * This class provides functions to set different (common) elements of the UI
 * 
 * Not finished yet!
 *
 * @author Kate
 */
public class UIUtilities {

    private javax.swing.ImageIcon windowIcon;
    private java.awt.Image windowImage;
            
    // SET WINDOW ICON
    /**
     * returns the windowicon
     * @return
     */
    public java.awt.Image getWindowIcon()
    {
        // change the path to the icon below
        windowIcon = new ImageIcon(getClass().getResource("/armadilloUI/graphics/babyIcon.gif"));
        windowImage = windowIcon.getImage();
        return windowImage;
    }

    /**
     * given a time in long format, returns it, parsed, into a more friendly representation
     * @param time
     * @return
     */
    public static String FormatTime(long time)
    {

        int minutes = (int) (time / 60);
        int seconds = (int) (time - (minutes * 60));
        int hours = (int) (minutes / 60);
        minutes = minutes - (60*hours);        
        if (hours >0) {
            return String.format("%d:%02d:%02d", hours, minutes, seconds);
        }
        return String.format("%d:%02d", minutes, seconds);
    }

    /**
     * Round a double to 2 decimal places
     * @param num
     * @return
     */
    public static double round2(double num) {
        double result = num * 100;
        result = Math.round(result);
        result = result / 100;
        return result;
    }

    /**
     *  save value of a given key in the config file
     * @param key
     * @param value
     * @throws Exception
     */
    public void config(String key, String value) throws Exception {

        Properties prop = new Properties();
        String fileName = "armadillo.config";
        InputStream is = new FileInputStream(fileName);
        prop.load(is);
        is.close();
        OutputStream os = new FileOutputStream(fileName);

        prop.setProperty(key, value);
        prop.store(os, "Last changes");
        os.close();
    }

    /**
     *  get value of a given key from the config file
     * @param key
     * @return
     * @throws Exception
     */
    public String config(String key) throws Exception {
        Properties prop = new Properties();
        String fileName = "armadillo.config";
        InputStream is = new FileInputStream(fileName);
        prop.load(is);
        String value = prop.getProperty(key);
        is.close();
        return value;
    }
}
