#!/bin/bash

JAVA=java
SETUP="-jar ArmadilloSetup.jar"
TEST=

function prompt
{
    echo "$1."
    echo -n "[$2]: "
    read RESP
    if [ -z "$RESP" ] ; then
        RESP=$2
    fi
}

function java_check
{
    if [ ! -z $TEST ] ; then
        return 0
    fi

    if [ -z $1 ] ; then
        if [ -f ${DIR}/setup/armadillo.setup.jre ] ; then
            JAVA="$(cat ${DIR}/setup/armadillo.setup.jre)/bin/java"

            return 1
        fi

        return 0;
    else
        JAVA=$(which $1)

        if [[ $? -eq 0 && -x $JAVA ]] ; then
            return 1
        fi
    fi

    return 0
}

function java_run
{
    $JAVA $@
	
	while [ $? -eq 2 ] ; do
		"$(cat ${DIR}/setup/armadillo.setup.jre)/bin/java" $@ accept
	done
	
	exit
}

function nojava
{
    ${DIR}/setup/gtkapp
}

# Start of main script

DIR=$(dirname $0)

echo -n "Checking for java..."

java_check

if [ $? -eq 1 ] ; then
    echo " found $JAVA"

    java_run $SETUP $@
fi

java_check java

if [ $? -eq 1 ] ; then
    echo " found $JAVA"

    java_run $SETUP $@
else
    echo " failed"

    prompt "Please specify the path to your installation of Java" $JAVA
    java_check $RESP

    if [ $? -eq 1 ] ; then
        java_run $SETUP $@
    fi

    echo
    echo "Cannot find Java, setup will now quit."

    if [ ! -z "$DISPLAY" ] ; then
        nojava
    fi
fi

exit 1
