!include "MUI2.nsh"

# define name of installer
Name "Armadillo Music Player"
OutFile "ArmadilloInstaller.exe"
RequestExecutionLevel admin

# define installation directory
InstallDir "$DESKTOP\Armadillo\"

!define MUI_FINISHPAGE_NOAUTOCLOSE

!define MUI_ABORTWARNING
!define MUI_ABORTWARNING_TEXT "Are you sure you wish to quit setup?"

!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES

    !define MUI_FINISHPAGE_RUN $INSTDIR\armadillo.setup.exe
    #!define MUI_FINISHPAGE_RUN_NOTCHECKED
    !define MUI_FINISHPAGE_RUN_TEXT "Run the Armadillo configuration wizard"
!insertmacro MUI_PAGE_FINISH

  
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES
  
!insertmacro MUI_LANGUAGE "English"

Section "-check"

	# check for gstreamer
	ClearErrors
	ExecWait '"gst-inspect.exe" --version' $0
	IfErrors gstOldCheck
	Goto gstOk
	
	gstOldCheck:
	ExecWait '"gst-inspect-0.10.exe" --version' $0
	IfErrors gstBad
	MessageBox MB_OK|MB_ICONINFORMATION \
			"You appear to have an outdated version of GStreamer installed.$\r$\nInstallation will contine, however it is recommended that you upgrade to the latest version available.$\r$\nYou may find the recommended version of GStreamer on our website, armadillomusic.org."
	Goto gstOk
	
	gstBad:
	MessageBox MB_YESNO|MB_ICONEXCLAMATION|MB_DEFBUTTON2 \
			"The GStreamer Multimedia Framework does not appear to be installed on your computer.$\r$\n$\r$\nGStreamer is required to run Armadillo.$\r$\n$\r$\nWould you like to continue the installation anyway?" \
			IDYES gstOk
	MessageBox MB_OK|MB_ICONSTOP \
			"Please install GStreamer before continuing with the installation.$\r$\n$\r$\nYou may find the recommended version of GStreamer on our website, armadillomusic.org."
	Quit
	
	gstOk:

SectionEnd

# start default section
Section "install"

    # install files
    SetOutPath $INSTDIR\lib
    File lib\AbsoluteLayout.jar
	File lib\appframework-1.0.3.jar
	File lib\gstreamer-java-1.3.jar
	File lib\jna-3.2.4.jar
	File lib\sqlitejdbc-v056.jar
	File lib\swing-worker-1.1.jar
	
	SetOutPath $INSTDIR\setup
	File setup\shortcut.exe
	
	SetOutPath $INSTDIR
    File armadillo.config
	File armadillo.setup.exe
	File armadillo-launch.debug.exe
	File armadillo-launch.exe
    File ArmadilloSetup.jar
	File ArmadilloUI.jar
    File LICENCE.txt

    # create the uninstaller
    WriteUninstaller "$INSTDIR\uninstall.exe"

SectionEnd

# uninstaller section
Section "uninstall"

    # first, delete the uninstaller
    Delete "$INSTDIR\uninstall.exe"
	
	# delete the files we installed
	Delete "$INSTDIR\lib\AbsoluteLayout.jar"
	Delete "$INSTDIR\lib\appframework-1.0.3.jar"
	Delete "$INSTDIR\lib\gstreamer-java-1.3.jar"
	Delete "$INSTDIR\lib\jna-3.2.4.jar"
	Delete "$INSTDIR\lib\sqlitejdbc-v056.jar"
	Delete "$INSTDIR\lib\swing-worker-1.1.jar"
	RMDir "$INSTDIR\lib"
	
	Delete "$INSTDIR\setup\shortcut.exe"
	Delete "$INSTDIR\setup\armadillo.setup.jre"
	RMDir "$INSTDIR\setup"
	
    Delete "$INSTDIR\armadillo.config"
	Delete "$INSTDIR\armadillo.setup.exe"
	Delete "$INSTDIR\armadillo-launch.debug.exe"
	Delete "$INSTDIR\armadillo-launch.exe"
    Delete "$INSTDIR\ArmadilloSetup.jar"
	Delete "$INSTDIR\ArmadilloUI.jar"
    Delete "$INSTDIR\LICENCE.txt"
	
	# delete any files armadillo might spew
	Delete "$INSTDIR\armadillo.db"
	Delete "$INSTDIR\*.log"

	# delete install dir if it's empty
	RMDir $INSTDIR
	
	# remove shortcut
	Delete "$DESKTOP\Armadillo Music Player.lnk"

SectionEnd
