
package armadillosetup;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

/**
 *
 * @author Mark Tolley
 */
public class Config
{
    protected Properties config;
    protected String file;

    public Config(String filename) throws Exception
    {
        this(filename, false);
    }
    
    public Config(String filename, boolean createIfNotExists) throws Exception
    {
        file = filename;
        config = new Properties();

        try
        {
            InputStream is = new FileInputStream(file);
            config.load(is);
            is.close();
        }
        catch (FileNotFoundException e)
        {
            if (createIfNotExists)
            {
                // new blank config
            }
            else
            {
                // error
                throw e;
            }
        }
    }

    public String getKey(String key)
    {
        return config.getProperty(key);
    }

    public String setKey(String key, String val)
    {
        return (String)config.setProperty(key, val);
    }

    public boolean save()
    {
        try
        {
            OutputStream os = new FileOutputStream(file);
            config.store(os, "Last changes");
            os.close();
        }
        catch (Exception e)
        {
            return false;
        }

        return true;
    }
}
