/*
 * LicenceScreen.java
 *
 * Created on 20-Apr-2010, 17:49:16
 */

package armadillosetup;

/**
 *
 * @author Mark Tolley
 */
class LicenceScreen extends javax.swing.JPanel implements WizardScreen
{

    protected WizardFrame wizard;

    protected boolean accepted;

    /** Creates new form LicenceScreen */
    public LicenceScreen(boolean accepted)
    {
        this.accepted = accepted;

        initComponents();

        if (accepted)
        {
            radioAccept.setSelected(true);
        }

        licenceText.setText(Util.readFile("LICENCE.txt"));
    }

    @Override
    public void display(WizardFrame wizard)
    {
        this.wizard = wizard;

        if (!accepted)
        {
            wizard.setButtons(true, false);
        }
        else
        {
            wizard.setButtons(true, true);
        }

        wizard.setContent(this);
    }

    @Override
    public void hide()
    {
        return;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        licenceText = new javax.swing.JTextArea();
        radioAccept = new javax.swing.JRadioButton();
        radioDecline = new javax.swing.JRadioButton();

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel1.setText("Licence Agreement");

        jLabel2.setText("Please read the follow Licence Agreement.");

        jLabel3.setText("You must accept the terms of this agreement before continuing with the installation.");

        licenceText.setColumns(20);
        licenceText.setFont(new java.awt.Font("DejaVu Serif", 0, 10)); // NOI18N
        licenceText.setRows(5);
        jScrollPane1.setViewportView(licenceText);

        buttonGroup1.add(radioAccept);
        radioAccept.setText("I accept the agreement");
        radioAccept.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                accepted(evt);
            }
        });

        buttonGroup1.add(radioDecline);
        radioDecline.setSelected(true);
        radioDecline.setText("I do not accept the agreement");
        radioDecline.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                declined(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(radioDecline)
                    .addComponent(radioAccept)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jLabel2, javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jLabel3, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addContainerGap(95, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addGap(18, 18, 18)
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 160, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(radioAccept)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(radioDecline)
                .addContainerGap(120, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void accepted(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_accepted
        wizard.setButtons(true, true);
        accepted = true;
    }//GEN-LAST:event_accepted

    private void declined(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_declined
        wizard.setButtons(true, false);
        accepted = false;
    }//GEN-LAST:event_declined


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea licenceText;
    private javax.swing.JRadioButton radioAccept;
    private javax.swing.JRadioButton radioDecline;
    // End of variables declaration//GEN-END:variables

}
