
package armadillosetup;

import java.util.ArrayList;

/**
 *
 * @author Mark Tolley
 */
public class Main
{

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        System.out.println(System.getProperty("java.home"));
        System.out.println(System.getProperty("java.version"));
        System.out.println(System.getProperty("java.vendor"));
        System.out.println(System.getProperty("os.name"));
        System.out.println(System.getProperty("os.version"));
        System.out.println(System.getProperty("os.arch"));
        System.out.println(System.getProperty("user.home"));
        System.out.println(System.getProperty("user.dir"));
        System.out.println();
        
        boolean acceptedLicence = false;

        if (args.length > 0)
        {
            if (args[0].equals("accept"))
            {
                acceptedLicence = true;
            }
        }

        ArrayList<WizardScreen> screens;

        screens = new ArrayList<WizardScreen>();
        screens.add(new WelcomeScreen());
        screens.add(new LicenceScreen(acceptedLicence));
        screens.add(new JavaScreen());
        screens.add(new GStreamerScreen());
        screens.add(new FinishScreen());

        WizardFrame setup = new WizardFrame("Armadillo Music Player Setup Wizard", screens);

        if (acceptedLicence)
            setup.advance(2);

        setup.setVisible(true);
    }

}
