
package armadillosetup;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 *
 * @author Mark Tolley
 */
class Util
{
    public static void writeln(String filename, String str)
    {
        BufferedWriter w;
        try
        {
            w = new BufferedWriter(new FileWriter(filename));
            w.write(str);
            w.close();
        }
        catch (IOException e)
        {
            e.printStackTrace();
            return;
        }
    }

    public static String readFile(String filename)
    {
        StringBuilder content = new StringBuilder();

        BufferedReader r;

        try
        {
            r = new BufferedReader(new FileReader(filename));

            String line;

            while ((line = r.readLine()) != null)
            {
                content.append(line);
                content.append("\n");
            }
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

        return content.toString();
    }

    public static boolean copyFile(File src, File dest)
    {
        try
        {
            InputStream in = new FileInputStream(src);
            OutputStream out = new FileOutputStream(dest);

            byte[] buf = new byte[1024];
            int len;

            while ((len = in.read(buf)) > 0)
            {
                out.write(buf, 0, len);
            }

            in.close();
            out.close();
        }
        catch (Exception e)
        {
            e.printStackTrace();
            return false;
        }

        return true;
    }
}
